Summary:	iceauth application - ICE authority file utility
Summary(pl.UTF-8):	Aplikacja iceauth - narzędzie do plików autoryzacji ICE
Name:		xorg-app-iceauth
Version:	1.0.10
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/iceauth-%{version}.tar.xz
# Source0-md5:	30f898d71a7d8e817302970f1976198c
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.70
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.22
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The iceauth program is used to edit and display the authorization
information used in connecting with ICE. This program is usually used
to extract authorization records from one machine and merge them in on
another (as is the case when using remote logins or granting access to
other users). Commands may be entered interactively, on the iceauth
command line, or in scripts.

%description -l pl.UTF-8
Program iceauth służy do modyfikowania i wyświetlania informacji
autoryzacyjnych używanych przy łączeniu się z ICE. Ten program zwykle
jest używany do wyciągania rekordów autoryzacyjnych z jednej maszyny i
dołączania ich na innej (tak robi się w przypadku używania zdalnych
logowań lub dawania dostępu innym użytkownikom). Polecenia można
wprowadzać interaktywnie, z linii poleceń lub w skrypcie.

%prep
%setup -q -n iceauth-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/iceauth
%{_mandir}/man1/iceauth.1*
%changelog
* Mon Mar 11 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-iceauth.git;a=log;h=master

* Mon Mar 11 2024 Jakub Bogusz <qboosh@pld-linux.org> 19c303e
- updated to 1.0.10

* Thu Apr 14 2022 Jakub Bogusz <qboosh@pld-linux.org> e959522
- updated to 1.0.9

* Thu Mar 15 2018 Jakub Bogusz <qboosh@pld-linux.org> 4c73bd0
- updated to 1.0.8

* Tue Mar 03 2015 Elan Ruusamäe <glen@delfi.ee> c9718f4
- x32 rebuild
- release 2 (by relup.sh)

* Mon Jan 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 733cb72
- updated to 1.0.7

* Tue Aug 06 2013 Jakub Bogusz <qboosh@pld-linux.org> ed0df69
- fixed build without xman suffix

* Tue Aug 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 11b69d6
- updated to 1.0.6

* Wed May 25 2011 Jakub Bogusz <qboosh@pld-linux.org> ed82098
- updated to 1.0.5

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> fe320d3
- dropped pre-cvs changelog

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> 86bd04c
- updated to 1.0.4

* Wed Oct 14 2009 Jakub Bogusz <qboosh@pld-linux.org> 3fe294f
- updated util-macros version
- added README to doc

* Sun Oct 11 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 8f59993
- up to 1.0.3

* Fri Nov 09 2007 witekfl <witekfl@pld-linux.org> 931842f
- s|X11/Application|X11/Applications|

* Tue Jul 24 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 9e3385c
- up to 1.0.2

* Mon Apr 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 05b73f3
- informative descs from man

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 37ff272
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1a93cb7
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 1a6f711
- use individual dir, more verbose files, release 1

* Tue Jan 10 2006 Jakub Bogusz <qboosh@pld-linux.org> b2eacdc
- 1.0.1 (X11R7.0 release)

* Fri Dec 09 2005 Jakub Bogusz <qboosh@pld-linux.org> e709892
- 0.99.2 (X11R7.0-RC3)

